import java.beans.*;

/**
   Klasa ta może zostać uzyta do przechowania
   dowolnego typu wyliczeniowego w archiwum JavaBeans.
*/
public class EnumDelegate extends DefaultPersistenceDelegate 
{
   protected Expression instantiate(Object oldInstance, Encoder out) 
   {
      return new Expression(Enum.class,
         "valueOf", 
         new Object[] { oldInstance.getClass(), ((Enum) oldInstance).name() });
   }            
}

